function [main_msg,tot] = error_check3a(am1, KK_yo, oww, pw, t1,t2, MaV, MiV, tn, t_RP, fr, amf, amm, ff, normal_option, avg_option, row_numb, column_numb,r, meena_on, cchoice, phasicb)

main_msg=sprintf('* * * * * * * ERROR SUMMARY * * * * * * *\n\n\n\n');

%1. Amplitude selection
if am1==0
    msg1=sprintf('TRAIN PARAMETERS --> AMPLITUDE \n\nThe amplitude is zero. Make sure that it is the value that you desire\n\n*     Note: The final amplitude is a product of the amplitude(under Train Parameters) and the K value\n\n      *Suggestion: You can use the "Plot Initial Signal" button to see the frame-view of the signal\n---------------------------------\n\n\n');
else if isempty(am1)
        msg1=sprintf('TRAIN PARAMETERS --> AMPLITUDE\nEnter a numeric value\n---------------------------------\n\n\n');
    else
        msg1=[];
    end
end

if KK_yo==0
    msg2=sprintf('PULSE MODULATION --> K \n\nThe value of "K" is zero. Make sure that it is the value that you desire\n\n     *Note: The final amplitude is a product of the amplitude(under Train Parameters) and the K value\n\n     *Suggestion: You can use the "Plot Initial Signal" button to see the frame-view of the signal\n---------------------------------\n\n\n');
else if isempty(KK_yo)
        msg2=sprintf('PULSE MODULATION --> K\nEnter a numeric value\n---------------------------------\n\n\n');
    else
        msg2=[];
    end
end

%2. Time selection
if isempty(oww)
    msg3=sprintf('TRAIN PARAMETERS --> Inter-Pulse Width\nEnter a numeric value\n---------------------------------\n\n\n');
else
    msg3=[];
end
%..............
if isempty(pw)
    msg4=sprintf('TRAIN PARAMETERS --> Pulse Width\nEnter a numeric value\n---------------------------------\n\n\n');
else
    msg4=[];
end
%..............
if isempty(t1)
    msg5=sprintf('TRAIN PARAMETERS --> Train Duration\nEnter a numeric value\n---------------------------------\n\n\n');
else if (oww+pw)>t1
        msg5=sprintf('PULSE MODULATION --> Pulse Width, Inter-Pulse Width, Train Duration\n\n*The sum of the Pulse Width and Inter-Pulse width should not exceed the Train Duration\n---------------------------------\n\n\n');
    else
    msg5=[];
    end
end
%..............
if isempty(t2)
    msg6=sprintf('FRAME PARAMETERS --> Frame Duration\nEnter a numeric value\n---------------------------------\n\n\n');
else
    msg6=[];
end
%..............
if t1>(t2*1000)
    msg8=sprintf('PULSE MODULATION --> Train Duration\nFRAME PARAMETERS --> Frame Duration\n\n*The Train Duration cannot exceed the Frame Duration\n---------------------------------\n\n\n');
else
    msg8=[];
end
%-------------RECORDING PARAMETERS section--------------------------------
if MiV>MaV
    msg9=sprintf('RECORDING PARAMETERS --> Max Input Voltage\nRECORDING PARAMETERS --> Min Input Voltage\n\n*The Minimum Voltage value must not exceed or equal the Maximum Voltage Value\n---------------------------------\n\n\n');
else
    msg9=[];
end

if isempty(tn)
%     tn
    msg15=sprintf('RECORDING PARAMETERS --> Trial #\nEnter a numeric value\n---------------------------------\n\n\n');
else
    msg15=[];
end

if isempty(t_RP)
    msg16=sprintf('RECORDING PARAMETERS --> Recording Time\nEnter a numeric value\n---------------------------------\n\n\n');
else
    msg16=[];
end

%-------------FREQUENCY AND TIME PARAMETERS section--------------------------------
if isempty(fr)
    msg10=sprintf('TRAIN PARAMETERS --> Pulse Frequency\nEnter a numeric value\n---------------------------------\n\n\n');
else if (1/fr)>(t1/1000)
        freq_min=1000/t1;
        t1_min=((1/fr)*1000);
        msg10=sprintf('TRAIN PARAMETERS --> Pulse Frequency\nTRAIN PARAMETERS --> Train Duration\n\n*The Pulse Frequency value must not exceed the value of %d\n     or\n*The Train Duration value must not exceed the value of %d\n---------------------------------\n\n\n',freq_min,t1_min);
    else
    msg10=[];
    end
end

%-------------SIGNAL MODULATION PARAMETERS section--------------------------------
if cchoice~=1
    if ff<1
        msg11=sprintf('SIGNAL MODULATION --> Modulation Frequency\n\nThe Modulation Frequency value cannot be less than 1\n\n*Suggestion: You can choose the "Normal" option from the drop down menu (SIGNAL MODULATION section) to disable signal modulation\n---------------------------------\n\n\n');
    else
        msg11=[];
    end
    
    if isempty(ff)
        msg12=sprintf('SIGNAL MODULATION --> Modulation Frequency\nEnter a numeric value\n---------------------------------\n\n\n');
    else
        msg12=[];
    end
    if isempty(amf)
        msg13=sprintf('SIGNAL MODULATION --> Norm. Depth\nEnter a numeric value\n---------------------------------\n\n\n');
    else
        msg13=[];
    end
    if isempty(amm)
        msg14=sprintf('SIGNAL MODULATION --> Offset\nEnter a numeric value\n---------------------------------\n\n\n');
    else 
        msg14=[];
    end
else
        msg11=[];msg12=[];msg13=[];msg14=[]; 
end

%-------------LIVE PLOT section--------------------------------
if normal_option==1 || avg_option==1;
    if isempty(row_numb)
        msg17=sprintf('LIVE PLOT --> Plotting order --> Row(s)\nEnter a numeric value\n---------------------------------\n\n\n');
    else
        msg17=[];
    end
    if isempty(column_numb)
        msg18=sprintf('LIVE PLOT --> Plotting order --> Column(s)\nEnter a numeric value\n---------------------------------\n\n\n');
    else
        msg18=[];
    end
else
    msg17=[];msg18=[];
end

%-------------FRAME PARAMETER section--------------------------------
if isempty(r)|| r<1
    msg19=sprintf('FRAME PARAMETERS --> # of Frames\n\nEnter a numeric value greater than or equal to one\n---------------------------------\n\n\n');
else
    msg19=[];
end
 
%-------------OTHER sectionS--------------------------------
if isempty(meena_on)
    msg20=sprintf('TRAIN PARAMETERS --> Device Name\n\nEnter the DAQ card name\n---------------------------------\n\n\n');
else
    msg20=[];
end

if phasicb==1
    gxx=((3*pw)+oww); %if the pulse duration exceeds
    gyy=(1/fr*1000)/2;
    if gxx>gyy
        msg21=sprintf('PULSE PARAMETERS --> Pulse Width\n\nThe sum of the pulse width and the inter-pulse width must not be greater than  %d\n---------------------------------\n\n\n',gyy);
    else
        msg21=[];
    end
else
     msg21=[];
end

        

%putting together
tot=[msg1 msg2 msg3 msg4 msg5 msg6 msg8 msg9 msg10 msg11 msg12 msg13 msg14 msg15 msg16 msg17 msg18 msg19 msg20 msg21];
